libspatialite7-4.3.0a-1.mga6.i586.rpm


Advertisement

Description

libspatialite7 - SQLite Spatial SQL extension

Property Value
Distribution Mageia 6.1
Repository Mageia Core i586
Package name libspatialite7
Package version 4.3.0a
Package release 1.mga6
Package architecture i586
Package type rpm
Installed size 13.85 MB
Download size 1.75 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.
SQLite is intrinsically simple and lightweight:
- a single lightweight library implementing the full SQL engine
- standard SQL implementation: almost complete SQL-92
- no complex client/server architecture
- a whole database simply corresponds to a single monolithic file (no size
limits)
- any DB-file can be safely exchanged across different platforms, because the
internal architecture is universally portable
- no installation, no configuration
SpatiaLite is smoothly integrated into SQLite to provide a complete and
powerful Spatial DBMS (mostly OGC-SFS compliant).
Using SQLite + SpatiaLite you can effectively deploy an alternative open
source Spatial DBMS roughly equivalent to PostgreSQL + PostGIS.

Alternatives

Package Version Architecture Repository
libspatialite7 - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libgeos_c.so.1 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libproj.so.9 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libsqlite3.so.0 -
libxml2.so.2 -
libxml2.so.2(LIBXML2_2.4.30) -
libxml2.so.2(LIBXML2_2.5.8) -
libxml2.so.2(LIBXML2_2.6.0) -
libxml2.so.2(LIBXML2_2.6.2) -
libz.so.1 -
libz.so.1(ZLIB_1.2.0) -

Provides

Name Value
libspatialite.so.7 -
libspatialite7 == 4.3.0a-1.mga6
libspatialite7(x86-32) == 4.3.0a-1.mga6

Download

Type URL
Binary Package libspatialite7-4.3.0a-1.mga6.i586.rpm
Source Package libspatialite-4.3.0a-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libspatialite7 rpm package:
    # urpmi libspatialite7

Files

Path
/usr/lib/libspatialite.so.7
/usr/lib/libspatialite.so.7.1.0
/usr/lib/mod_spatialite.so.7
/usr/lib/mod_spatialite.so.7.1.0

Changelog

2016-05-19 - eatdirt <eatdirt> 4.3.0a-1.mga6
+ Revision: 1016891
- Upgrade to version 4.3.0a
2016-02-05 - umeabot <umeabot> 4.2.0-5.mga6
+ Revision: 937461
- Mageia 6 Mass Rebuild
2016-02-05 - umeabot <umeabot> 4.2.0-4.mga6
+ Revision: 937014
- Mageia 6 Mass Rebuild
2014-10-15 - umeabot <umeabot> 4.2.0-3.mga5
+ Revision: 745172
- Second Mageia 5 Mass Rebuild
2014-09-16 - umeabot <umeabot> 4.2.0-2.mga5
+ Revision: 681793
- Mageia 5 Mass Rebuild
2014-08-06 - sander85 <sander85> 4.2.0-1.mga5
+ Revision: 660208
- New version: 4.2.0
2013-10-19 - umeabot <umeabot> 4.1.1-2.mga4
+ Revision: 530036
- Mageia 4 Mass Rebuild
2013-07-15 - sander85 <sander85> 4.1.1-1.mga4
+ Revision: 454719
- New version: 4.1.1

See Also

Package Description
libspectre-devel-0.2.8-1.mga6.i586.rpm Postscript rendering library
libspectre1-0.2.8-1.mga6.i586.rpm Postscript rendering library
libspeech_tools-devel-2.1-10.mga6.i586.rpm Static libraries and headers for festival text to speech
libspeech_tools2.1.1-2.1-10.mga6.i586.rpm Shared libraries for festival text to speech
libspeechd-devel-0.8.6-1.mga6.i586.rpm Development files for speech-dispatcher
libspeechd2-0.8.6-1.mga6.i586.rpm Shared libraries for speech-dispatcher
libspeex-devel-1.2-0.rc2.2.mga6.i586.rpm Speex development files
libspeex-static-devel-1.2-0.rc2.2.mga6.i586.rpm Speex static library
libspeex1-1.2-0.rc2.2.mga6.i586.rpm Shared library of the Speex codec
libspeexdsp-devel-1.2-0.rc3.3.mga6.i586.rpm Speex DSP development files
libspeexdsp-static-devel-1.2-0.rc3.3.mga6.i586.rpm Speex DSP static library
libspeexdsp1-1.2-0.rc3.3.mga6.i586.rpm Shared library of the Speex DSP
libspf2-1.2.10-2.mga6.i586.rpm Implementation of the SPF specification
libspf2-devel-1.2.10-2.mga6.i586.rpm Development tools needed to build programs that use libspf2
libspglib-devel-1.9.9-1.mga6.i586.rpm Development files for spglib
Advertisement
Advertisement